mia-3dimageaddattributes
Prev | Miscellaneous programs | Next

### mia-3dimageaddattributes

#### Sysnopis:

`mia-3dimageaddattributes` {-i `io`} {-o `io`} {-a `io`} [ `options` ...]

#### Description:

This program appends all the meta-data attributes found in a 2D input image to a 3D image (if the output format supports such attributes). Attributes that are already present in the 3D image are not overwritten.

#### Options:

-i, --in-file=(input, required); io

  input image(s) to be filtered. For supported file types see Plugin type: 3dimage/io

-o, --out-file=(output, required); io

  output image(s) with the added attributes. For supported file types see Plugin type: 3dimage/io

-a, --attr=(input, required); io

  2D image providing the attributes. For supported file types see Plugin type: 2dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Append the attributes found in 2d.v to 3d.v and store the result in attr3d.v

    mia-3dimageaddattributes  -i 3d.v -o attr3d.v -a 2d.v

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dfield2norm | Home | mia-3dvectorfieldcreate